# Trades

## Get Trades

<mark style="color:blue;">`GET`</mark> `https://api.vaultoro.com/v1/public/trades`

This endpoint allows you to get the latest trades.

#### Query Parameters

| Name  | Type   | Description                                                                    |
| ----- | ------ | ------------------------------------------------------------------------------ |
| page  | number | Filter the results by page                                                     |
| pair  | string | Enter the pair to filter by. Currently available: DASHBTC, GOLDBTC or GOLDDASH |
| until | number | Unix timestamp to filter the results until                                     |
| since | string | Unix timestamp to filter results since                                         |
| limit | number | Limit the number of results                                                    |

{% tabs %}
{% tab title="200 Trades successfully retrieved." %}

```
{
    "data": [
        {
            "createdAt": 1595427428,
            "matchType": "LIMIT",
            "pair": "GOLDBTC",
            "price": "0.00615450",
            "quantity": "1.0000",
            "type": "BUY",
            "updatedAt": 1595427428
        }
    ],
    "pagination": {
        "count": 1
    }
}

```

{% endtab %}

{% tab title="404 Could not find any matching trades for this query." %}

```
{
    "data": [],
    "pagination": {
        "count": 0
    }
}

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.vaultoro.com/public/trades.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
